function thetaNext = binaryd_thres( zHat, thetaStar, threshold )

% Check that the values of zHat are all finite
if ( sum( ~isfinite( zHat ) ) > 0 )
    error( 'binaryd_thres: not all values of zHat are finite' );
end

if ( thetaStar > 0 )
    thetaNext = thetaStar * ( zHat > threshold );
elseif ( thetaStar < 0 )
    thetaNext = thetaStar * ( zHat < threshold );
else
    error( 'binaryd_thres: thetaStar equals 0?' );
end
    