% ebayesiter2: iterative test for ebayestest2
%-------------------------------------------------------------------------------
% vecSse = ebayesiter2( n, k, vecMuVal, sNzAssign, numIter )
%
function vecSse = ebayesiter2( n, k, vecMuVal, sNzAssign, numIter )
vecSse = zeros( 1, numIter );
for i = 1:numIter
	[f, sse] = ebayestest2( n, k, vecMuVal, sNzAssign, 0 );
	vecSse(i) = sse;
end

disp( sprintf( '  mean sse: %e', mean( vecSse ) ) );
disp( sprintf( 'median sse: %e', median( vecSse ) ) );
disp( sprintf( ' stdev sse: %e', std( vecSse ) ) );
