%
% Generate a hexagon in the Cartesian plane with a given centre and radius.
% Usage is: x = gen_hex_coords( centre, r )
%
function x = gen_hex_coords( centre, r )

x = repmat( centre(:)', 6, 1 );

x(1,:) = x(1,:) + r * [-1, 0];
x(2,:) = x(2,:) + r * [-1/2, sqrt(3)/2];
x(3,:) = x(3,:) + r * [1/2, sqrt(3)/2];
x(4,:) = x(4,:) + r * [1, 0];
x(5,:) = x(5,:) + r * [1/2, -sqrt(3)/2];
x(6,:) = x(6,:) + r * [-1/2, -sqrt(3)/2];

