% mstep: the M-step in the E-M algorithm
%-------------------------------------------------------------------------------
% thetaHat_tp1 = mstep( alpha, zHat_t, bVerbose )
%
function thetaHat_tp1 = mstep( alpha, zHat_t, bVerbose )

% Decide how to call the ebayesthresh function.
%results = ebayesthresh( zHat_t, 'laplace', [], 0, alpha, 1, 'median', 0 );
results = ebayesthresh( zHat_t, 'laplace', [], 0, [], 1, 'median', 0 )
%results = ebayesthresh( zHat_t, 'laplace', 0.5, 0, alpha, 1, 'median', 0 );
%results = ebayesthresh( zHat_t, 'laplace', 0.5, 0, [], 1, 'median', 0 );

thetaHat_tp1 = results.muhat;

if bVerbose % Print verbose messages
	disp( '=== mstep [DEBUG] ===' );
	disp( sprintf( 'wthe = %12.6e | a = %12.6e | sdev = %12.6e', ...
		results.wthe, results.a, results.sdev ) );
end
