
% Script to transform output of pdb_sim_start to separate variables so that
% sp_img_recon* can be used. Usage is
% [psf, yi, propNoise, xtrue] = pdb_sim_start2( sSim )

function [psf, yi, propNoise, xtrue] = pdb_sim_start2( sSim )

psf = sSim.psf;
yi = sSim.yi;
propNoise = struct( 'snr', sSim.snr, 'sigma', sSim.noiseSigma );
xtrue = sSim.xtrue;
