% cmp_recon_img: compares the reconstructed image with the original
%-------------------------------------------------------------------------------
% Compares the reconstructed image with the original. Uses create_int_plot.
% This is basically a short script to simplify life, so that we don't have to
% type the same commands ad infinitum.
%
% cmp_recon_img( nFigOrig, nFigRecon, X, Y, f, fRecon, zInd, 
%    lowerRescaleValue )
%
function cmp_recon_img( nFigOrig, nFigRecon, X, Y, f, fRecon, zInd, ...
	lowerRescaleValue )
create_int_plot( nFigOrig, 'f original', [], X, Y, f(:,:,zInd), 1, 1 );
create_int_plot( nFigRecon, 'f reconstructed', [lowerRescaleValue, 0], ...
	X, Y, fRecon(:,:,zInd), 1, 1 );
