% [29-july-04] fplot2

psf_param2;

vecX = xSpan*[-1:xInc:1]; 
xLen = length( vecX );
vecY = ySpan*[-1:yInc:1];
yLen = length( vecY );

MESH_ALL_ZEROS = zeros( yLen, xLen );
MESH_ALL_ONES = ones( yLen, xLen );

[X, Y] = meshgrid( vecX, vecY );
P = MESH_ALL_ZEROS;

m = Parm;

for i = 1:yLen
	for j = 1:xLen
		x = X( i, j );
		y = Y( i, j );
		z = z0;
		r = sqrt( x^2 + y^2 + z^2 );
		P( i, j ) = -2*x*m/r^5 - 5*(2*z^2 - x^2 - y^2)*m*x/r^7;
	end
end

%create_int_plot( 1, 'fplot2', [], X, Y, P );
create_surf_plot( 1, 'fplot2', [], X, Y, P );

Pmax = max( max( P ) );
Pmin = min( min( P ) );
[PMaxRow, PMaxCol] = find( P >= (Pmax - eps) );
[PMinRow, PMinCol] = find( P <= (Pmin + eps ) );
