% show_thres_effect: Generate plots to show the effect of thresholding

a=0.3;
w=0.15;
sdev=1;
n = 200;

[fclean, fnoisy] = gen_laplace_data( n, a, w, sdev );
%[fclean, fnoisy] = gen_john_data( n, k, muTest, sigma );

%[xClean,xInd] = sort( fclean );
%xNoisy = fnoisy( xInd );
xClean = fclean;
xNoisy = fnoisy;

close all;
figure( 1 ), plot( 1:n, xClean, 'kx' );
title( 'Original signal' );
set( get(gca,'title'), 'FontSize', 14 ); 
figure( 2 ), plot( 1:n, xNoisy, 'go' );
title( 'Noisy signal = Original signal + Noise' );
set( get(gca,'title'), 'FontSize', 14 ); 
est = laplace_map_thres0( xNoisy(:), a, w, sdev );
figure( 3 ), plot( 1:n, est, 'rx' );
title( 'Thresholded noisy signal' );
set( get(gca,'title'), 'FontSize', 14 ); 