% ebayesiter: iterative test for ebayestest
%-------------------------------------------------------------------------------
% vecSse = ebayesiter( n, k, muVal, bCorrNoise, numIter )
%
function vecSse = ebayesiter( n, k, muVal, bCorrNoise, numIter )
vecSse = zeros( 1, numIter );
for i = 1:numIter
	[f, sse] = ebayestest( n, k, muVal, bCorrNoise, 0 );
	vecSse(i) = sse;
end

disp( sprintf( '  mean sse: %e', mean( vecSse ) ) );
disp( sprintf( 'median sse: %e', median( vecSse ) ) );
disp( sprintf( ' stdev sse: %e', std( vecSse ) ) );
