
% hard_thres: Implements the hard thresholding rule

function est = hard_thres( y, t )

pos = (y >= t) .* y;
neg = (y <= -t) .* y;
est = pos + neg;

if 0 % DEBUG
    figure( 1 ), plot( y, 'bx' );
    figure( 2 ), plot( est, 'ro' );
    pause;
end

