%...............................................................
function logp = logp_hyper_binaryd_unif( theta, thetaStarRange )
%###############################################################

logp = 0;
theta = theta(:);
n = length( theta );

thetaStar1 = thetaStarRange(1);
thetaStar2 = thetaStarRange(2);
thetaStarDiff = thetaStar2 - thetaStar1;
if ( thetaStarDiff < 0 )
    error( 'logp_hyper_binaryd_unif: unexpected thetaStarRange' );
end

for i = 1:n
	theta_i = theta(i);
    if ( abs(theta_i) < 1e3*eps ), logp = logp + log( 0.5 );
    else
        if ( ( theta_i > thetaStar1 ) & ( theta_i < thetaStar2 ) )
            logp = logp + log( 0.5/thetaStarDiff );
        else
            logp = -inf;
            warning( 'logp_hyper_binaryd_unif: logp = -inf' );
            return;
        end
    end
end
