% logp_ytheta_cond_gauss: Compute the log of the conditional density. Need to
% use the Gblur object. Usage is
% logPcond = logp_ytheta_cond_gauss( y, G, theta, noiseSigma )
%###############################################################################

function logPcond = logp_ytheta_cond_gauss( y, G, theta, noiseSigma )

y = y(:);
n = numel( y );
GTheta = G*theta;
GTheta = GTheta(:);
logPcond = -n/2 * log(2*pi) - n * log(noiseSigma) - norm( y - GTheta, 2 )^2 / (2*noiseSigma^2);
