function [a_hat,t_hat,w_hat,mu_hat]=map_2d_ver3(y,sig);
%%% y - data vector
N=length(y);
%% initial grid
da=0.1;
da0=da;
dt=0.1;
dt0=dt;
a_hat=1/sig;
t_hat=2*a_hat*sig^2;
%a_hat=da;
t_old=0;
a_old=0;
%%% 
%figure(1)
%hold on
RR=1000; %%% Number of grid refinement steps
rr=0;
while (rr<RR)
        rr=rr+1;
      a=a_hat;
      t=t_hat;
      %%% Compute 'sufficient stats' : \hat{T}_k(t) k=0,1,2
      mean_t0=mean(abs(y)>t);
      mean_t1=mean(abs(y).*(abs(y)>t));
      mean_t2=mean(abs(y).^2.*(abs(y)>t)) ;    
      w=1./(1+exp((t-a*sig^2).^2/2/sig^2));
      e_t0=erfc(t/sqrt(2)./sig)+w/2*exp(a.^2*sig.^2/2).*(exp(-a*t).*...
                  erfc((a*sig.^2-t)/sqrt(2)./sig)-...
                  exp(a*t).*erfc((a*sig.^2+t)/sqrt(2)./sig));
      e_t1=sqrt(2/pi)*sig.*exp(-t.^2/2./sig.^2)+w/2./a.*exp(a.^2*sig.^2/2).*...
                  ((1-a*t).*exp(a*t).*...
                  erfc((a*sig.^2+t)/sqrt(2)./sig) + (1+a*t).*exp(-a*t).*...
                  erfc((a*sig.^2-t)/sqrt(2)./sig));
      e_t2=sig.^2.*(sqrt(2/pi)*t./sig.*exp(-t.^2./sig.^2/2)+erfc(t/sqrt(2)./sig))+...
                  2*w./a^2.*erfc(t/sqrt(2)./sig)+w/2/a^2.*exp(a^2*sig.^2/2).*(...
                  ((a*t).^2+2*(a*t)+2).*exp(-a*t).*erfc((a*sig.^2-t)/sqrt(2)./sig)-...
                  ((a*t).^2-2*(a*t)+2).*exp(a*t).*erfc((a*sig.^2+t)/sqrt(2)./sig));
      e_dt0=-1/pi^(1/2).*exp(-1/2.*t.^2/sig^2).*2^(1/2)/sig+1/2.*w.*exp(1/2.*a^2.*sig^2).*(-a.*exp(-a.*t).*erfc(1/2.*(a.*sig^2-t).*2^(1/2)/sig)+exp(-a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2-t).^2/sig.^2).*2^(1/2)/sig-a.*exp(a.*t).*erfc(1/2.*(a.*sig^2+t).*2^(1/2)/sig)+exp(a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2+t).^2/sig^2).*2^(1/2)/sig);
      e_dt1=-2^(1/2).*(1/pi)^(1/2)/sig.*t.*exp(-1/2.*t.^2/sig^2)+1/2.*w/a.*exp(1/2.*a^2.*sig^2).*(-a.*exp(a.*t).*erfc(1/2.*(a.*sig^2+t).*2^(1/2)/sig)+(1-a.*t).*a.*exp(a.*t).*erfc(1/2.*(a.*sig^2+t).*2^(1/2)/sig)-(1-a.*t).*exp(a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2+t).^2/sig^2).*2^(1/2)/sig+a.*exp(-a.*t).*erfc(1/2.*(a.*sig^2-t).*2^(1/2)/sig)-(1+a.*t).*a.*exp(-a.*t).*erfc(1/2.*(a.*sig^2-t).*2^(1/2)/sig)+(1+a.*t).*exp(-a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2-t).^2/sig^2).*2^(1/2)/sig);
      e_dt2=sig^2.*(2^(1/2).*(1/pi)^(1/2)/sig.*exp(-1/2.*t.^2/sig^2)-2^(1/2).*(1/pi)^(1/2)/sig^3.*t.^2.*exp(-1/2.*t.^2/sig^2)-1/pi^(1/2).*exp(-1/2.*t.^2/sig^2).*2^(1/2)/sig)-2.*w/a^2/pi^(1/2).*exp(-1/2.*t.^2/sig^2).*2^(1/2)/sig+1/2.*w/a^2.*exp(1/2.*a^2.*sig^2).*((2.*a^2.*t+2.*a).*exp(-a.*t).*erfc(1/2.*(a.*sig^2-t).*2^(1/2)/sig)-(a^2.*t.^2+2.*a.*t+2).*a.*exp(-a.*t).*erfc(1/2.*(a.*sig^2-t).*2^(1/2)/sig)+(a^2.*t.^2+2.*a.*t+2).*exp(-a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2-t).^2/sig^2).*2^(1/2)/sig-(2.*a^2.*t-2.*a).*exp(a.*t).*erfc(1/2.*(a.*sig^2+t).*2^(1/2)/sig)-(a^2.*t.^2-2.*a.*t+2).*a.*exp(a.*t).*erfc(1/2.*(a.*sig^2+t).*2^(1/2)/sig)+(a^2.*t.^2-2.*a.*t+2).*exp(a.*t)/pi^(1/2).*exp(-1/2.*(a.*sig^2+t).^2/sig^2).*2^(1/2)/sig);
      e_p=sig^2+2.*w/a^2;
      %%% d dt
      dGdt=(a*t-t.^2/2/sig^2).*e_dt0+(a-t/sig^2).*e_t0+e_dt2/2/sig^2-a*e_dt1;
      dGda=t*e_t0-e_t1; 
      dMapdt=(a-t/sig^2).*mean_t0-dGdt;
      dMapda=t*mean_t0-mean_t1-dGda;
      dMapdn=sqrt(dMapdt^2+dMapda^2);
      dMapdtn=dMapdt/dMapdn;
      dMapdan=dMapda/dMapdn;
      t_old2=t_old;
      t_old=t_hat;
      a_old2=a_old;
      a_old=a_hat;
      t_hat=t_hat+dMapdtn*dt;
      a_hat=a_hat+dMapdan*da  ;    
      %if a_hat<0;
         %a_hat=da;
      if t_hat<0     
        t_hat=dt;
      end
      if t_hat<a_hat*sig^2;
        a_hat=max(da ,t_hat/sig^2-da);
      end
      [a_old2,a_old,a_hat];
      [t_old2,t_old,t_hat];
      et=abs(t_old2-t_hat);
      ea=abs(a_old2-a_hat);
      if (et<dt)&(ea<da)
      %disp('cond')
        t_hat=(t_hat+t_old)/2+0.0*(rand(1,1)-0.5)*dt;
        a_hat=(a_hat+a_old)/2+0.0*(rand(1,1)-0.5)*da;
        da=da/2;
        dt=dt/2;
        if (da/da0<1e-2)|(dt/dt0<1e-2)
            rr=RR;
        end
      end
    %plot(a_hat,t_hat,'x')
%    hold on
%    rr
%    pause  
 end
      
rr;
w_hat=1./(1+exp((t_hat-a_hat*sig^2).^2/2/sig^2));
mu_hat=(y-sign(y)*a_hat*sig^2).*(abs(y)>t_hat);
