% neg_laplace_log_lik_at
% 
% Usage:
%    f = neg_laplace_log_lik_at( params )
%
%    f - negative of log likelihood of laplacian prior + gaussian noise
%    params - vector containing [a,t]
%
% Globals:
%    paramSdev - standard deviation
%
% Notes:
%    calls neg_laplace_log_lik_atsigma
%

function f = neg_laplace_log_lik_at( params )

global paramSdev

a = params(1);
t = params(2);
f = neg_laplace_log_lik_atsigma( [a, t, paramSdev] );


