% pdb_mov_create: Create a Matlab movie from an iteration of image
% reconstructions.
%
% M = pdb_mov_create( out, sRecon )
%

function M = pdb_mov_create( out, sRecon )

numFrames = max( size( sRecon ) );

for indFrame = 1:numFrames
	try
		create_int_plot( 1, out.X, out.Y, sRecon(indFrame).thetaHist, ...
			[], '', 1, 1 );
		M( indFrame ) = getframe;
	catch
		warning( sprintf( 'Failed to plot frame %g', indFrame ) );
		error( lasterr );
	end

	% Pause
	pause( 2 );
end
