%%% MAP with prior for \sigma=1

tic

w=0.01;
w0=w;
sig=1;
sig0=sig;
a=0.2;
a0=a;
t=(w0<0.5)*sqrt(2*sig0^2*log((1-w0)/w0))+a0*sig0^2;
t0=t;
N=10000;

RUNS=100;
a_hat=zeros(RUNS,1);
t_hat=zeros(RUNS,1);
for g=1:RUNS;
    %%% Generate data according to prior
%    I=rand(N,1)<w0;
%    tx=-1/a0*log(1-rand(N,1)).*(2*(rand(N,1)<0.5)-1);
%    x=tx.*I;
%    n=sig0*randn(N,1);
%    y=x+n;
    %%% Generate data according to Johnstone's paper
    K=100;
    m0=10;
    x=m0*[ones(K,1);zeros(N-K,1)];
    y=x+sig0*randn(N,1);
    
    [a_hat_tmp,t_hat_tmp,w_hat_tmp,mu_hat_tmp]=map_2d(y,sig);
    t_hat(g)=t_hat_tmp;
    a_hat(g)=a_hat_tmp;    
    GG=1;
    if round(g/GG)-g/GG==0
        g   
    end
end
figure(1)
hist(t_hat,20)
xlabel('t')
figure(2)
hist(a_hat,20)
xlabel('a')
toc
