
% First run sp_img_recon 

B_USE_FFT2 = 1;

% Use DFTs
if B_USE_FFT2, imgNoisyDft = fft2( yi );
else, imgNoisyDft = fftn( yi );
end

% Must zero-pad the psf
if B_USE_FFT2, hForwardOpDft = fft2( psf, size( yi,1 ), size( yi,2 ) );
else, hForwardOpDft = fftn( psf, size( yi ) );
end

sResH = emsep_comp_alpha( hForwardOpDft, propNoise.sigma, 1 );
disp( sprintf( '|H| = %g', sResH.norm2 ) );
disp( sprintf( 'cond(H) = %g', sResH.cond ) );

daub1NormConst = 1.1 * sResH.norm2
daub2NormConst = 1.1 * (sResH.norm2)^2

% Assume that we are looking at the Gaussian blur function

load( '~/work/f05/icip06/sbl_gaussian_psf.mat' );
PHI = SBL_PHI;

[PHI_V, PHI_D] = eigs( PHI );
SLargest = svds( PHI, 10 );
SSmallest = svds( PHI, 10, 0 );

G = PHI' * PHI;