
% Grayscale colourmap
% m2 = [linspace( 0, 0.67, 7 ), linspace( 0.67, 1, 20 )];
% M2 = repmat( m2(:), 1, 3 );
% Colour colourmap
M2 = lowres_colormap;
%M2 = colormap( 'jet' );

load 'sbl';
figure( 1 ), clf, imagesc( xtrue ), colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );
figure( 2 ), clf, imagesc( yiDisplay  ), colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );

figure( 3 ), clf, imagesc( reshape( sRestore.last, 32, 32 ) )
colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );
[ min(sRestore.last(:)), max(sRestore.last(:)) ]

load 'lars_v2';
figure( 4 ), clf, imagesc( reshape( sRestore.last, 32, 32 ) )
colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );
[ min(sRestore.last(:)), max(sRestore.last(:)) ]

load 'map_revised';
figure( 5 ), clf, imagesc( sRestore.last )
colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );
[ min(sRestore.last(:)), max(sRestore.last(:)) ]

load 'landwebpos';
figure( 6 ), clf, imagesc( sRestore.last )
colormap(M2), colorbar, axis on tight;
set( gca, 'XTick', [], 'YTick', [] );
[ min(sRestore.last(:)), max(sRestore.last(:)) ]

for i = 1:6, figure( i ), figfont, end;

%print -f1 -depsc2 xtrue.eps
%print -f2 -depsc2 yi.eps
%print -f3 -depsc2 sbl.eps
%print -f4 -depsc2 ebd-la.eps
%print -f5 -depsc2 em-la.eps
%print -f6 -depsc2 l1sure.eps
