function f = jsLogLik( y, a, w, sdev )
f1 = normpdf( y, 0, sdev );
f2 = 1/4 * a * exp( a^2*sdev^2/2 ) * ( exp(a*y) + exp(-a*y) + ...
    exp( -a*y ) .* erf( (y - a*sdev^2)/sqrt(2)/sdev ) - ...
    exp( a*y ) .* erf( (y + a*sdev^2)/sqrt(2)/sdev ) );
f = sum( log( (1-w)*f1 + w*f2 ) );