
% Generates a colormap that sharpens resolution of low-valued voxels

function M = lowres_colormap

M0 = [ ones(5,1), linspace(1,0,5)', linspace(1,0,5)' ];
M1 = [ 0.8*ones(3,1), linspace(0,1,3)', zeros(3,1) ];
M2 = [ linspace(1,0,5)', ones(5,1), zeros(5,1) ];
M3 = [ zeros(5,1), ones(5,1), linspace(0,1,5)' ];

% M = [ M0; M1; M2; M3 ];
M = [ M0; M1; M2 ];